<?xml version="1.0" encoding="utf-8" ?>
<ArrayOfAction xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Action xsi:type="UpgradeDatabaseAction" />
  <Action xsi:type="UpgradeConfigurationAction" />

  <Action xsi:type="UpgradeBlobStorageAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" UpgradeTranslations="true" UpgradeTemplates="true" UpgradeConfiguration="true" UpgradePartnerSources="true">
    <Files>
      <File maxAge="43200">/Base/Bundles/AdminScripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/Scripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/App.js</File>
      <File maxAge="43200">/Base/Bundles/App.Admin.js</File>
      <File maxAge="43200">/Base/Bundles/App.Editmode.js</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.css</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.min.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.min.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.min.css</File>

			<!--changed from 6.19-->
			<File maxAge="43200">/Base/Bundles/cdnlocal/jquery/2.1.1/jquery.min.js</File>
			

			<!--Newly added language file dated 22/06/2017-->
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-001.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-ae.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-bh.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-dz.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-eg.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-iq.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-jo.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-kw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-lb.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-ly.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-ma.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-om.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-qa.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-sd.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-sy.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-tn.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar-ye.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ar.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_bn-bd.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_bn-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_bn.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_bn.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ca-ad.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ca.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ca.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_cs.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_cy-gb.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_da.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_de-at.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_de-be.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_de-ch.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_el.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-as.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-au.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-bb.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-be.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-bm.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-bw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-bz.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-ca.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-dsrt-us.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-dsrt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-fm.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-gb.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-gu.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-gy.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-hk.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-ie.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-iso.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-jm.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-mh.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-mp.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-mt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-mu.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-na.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-nz.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-ph.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-pk.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-pr.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-pw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-sg.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-tc.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-tt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-um.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-us.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-vg.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-vi.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-za.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en-zw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_en.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-419.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-ar.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-bo.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-cl.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-co.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-cr.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-do.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-ea.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-ec.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-gq.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-gt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-hn.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-ic.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-mx.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-ni.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-pa.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-pe.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-pr.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-py.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-sv.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-us.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-uy.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es-ve.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_es.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_et.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_eu.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fa-af.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fa-ir.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fa.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fi.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fil-ph.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fil.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-be.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-bf.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-bi.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-bj.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-bl.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-ca.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-cd.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-cf.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-cg.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-ch.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-ci.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-cm.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-dj.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-ga.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-gf.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-gn.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-gp.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-gq.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-km.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-lu.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-mc.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-mf.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-mg.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-ml.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-mq.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-ne.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-re.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_fr-yt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_gl.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_gsw-ch.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_gsw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_gu-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_gu.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_he.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_hi.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_hr.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_hu.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_id.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_is-is.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_it-sm.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_it.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_iw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ja.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_kn-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ko.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ln-cd.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_lt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_lv.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ml-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ml.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_mr-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_mr.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ms.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_mt-mt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_nl-cw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_nl-sx.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_nl.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_or-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_or.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_pt.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ro.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ru.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_sl.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_sq-al.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_sq.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_sr.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_sw-tz.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_sw.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ta-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ta.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_te-in.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_te.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_th.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_tl.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_uk.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_ur-pk.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_vi.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_zh-hans-cn.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_zh-hk.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_zh.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_zu-za.js</File>
      <File maxAge="43200">/Base/Scripts/i18n/angular-locale_zu.js</File>
    </Files>
    <Folders>
    </Folders>
  </Action>

  <!--Fix dublicate principals-->
  <Action xsi:type="FixPrincipalDupletsAction" />
  
  <Action xsi:type="UpgradeSitecollectionsActionV2" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
  <Action xsi:type="UpgradeSitecollectionsPartnerModulesAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
  <Action xsi:type="ClearCacheAction" />
  
</ArrayOfAction>